## python-oslo.messaging 16.1.0

=== doc/requirements.txt ===
openstackdocstheme>=2.2.0 # Apache-2.0
sphinx>=2.0.0 # BSD
reno>=3.1.0 # Apache-2.0

# imported when the source code is parsed for generating documentation:
fixtures>=3.0.0 # Apache-2.0/BSD
confluent-kafka>=0.11.6 # Apache-2.0
tenacity>=3.2.1 # Apache-2.0

=== debian/changelog ===
python-oslo.messaging (16.1.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 10:23:25 +0100

python-oslo.messaging (16.1.0-2) experimental; urgency=medium

  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Feb 2025 15:19:31 +0100

python-oslo.messaging (16.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed build-depends for this release.
  * Rebased no-functional-test.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 24 Feb 2025 15:48:09 +0100

=== debian/control ===
Source: python-oslo.messaging
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 James Page <james.page@ubuntu.com>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 bandit,
 python3-amqp,
 python3-cachetools,
 python3-confluent-kafka,
 python3-coverage,
 python3-debtcollector,
 python3-eventlet,
 python3-fixtures,
 python3-futurist,
 python3-greenlet,
 python3-kombu,
 python3-openstackdocstheme,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.log,
 python3-oslo.metrics,
 python3-oslo.middleware,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.utils,
 python3-oslotest,
 python3-stestr,
 python3-stevedore,
 python3-subunit,
 python3-testscenarios,
 python3-testtools,
 python3-webob,
 python3-yaml,
 subunit,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/oslo/python-oslo.messaging
Vcs-Git: https://salsa.debian.org/openstack-team/oslo/python-oslo.messaging.git
Homepage: https://github.com/openstack/oslo.messaging

Package: python3-oslo.messaging
Architecture: all
Depends:
 python3-amqp,
 python3-cachetools,
 python3-confluent-kafka,
 python3-debtcollector,
 python3-futurist,
 python3-kombu,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.log,
 python3-oslo.metrics,
 python3-oslo.middleware,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.utils,
 python3-pbr,
 python3-stevedore,
 python3-tenacity,
 python3-webob,
 python3-yaml,
 python3-zmq,
 ${misc:Depends},
 ${python3:Depends},
Description: oslo messaging library - Python 3.x
 The oslo.messaging API supports RPC and notifications over a number of
 different messaging transports.
 .
 Oslo is a set of libraries developed for OpenStack.
 .
 This package provides the Python 3.x module.

## python-oslo.messaging 17.1.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

pbr>=2.0.0 # Apache-2.0

futurist>=1.2.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.context>=5.3.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.utils>=3.37.0 # Apache-2.0
oslo.serialization>=2.18.0 # Apache-2.0
oslo.service>=1.24.0 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
debtcollector>=1.2.0 # Apache-2.0

# for jsonutils
cachetools>=2.0.0 # MIT License

WebOb>=1.7.1 # MIT

# for the routing notifier
PyYAML>=3.13 # MIT

# rabbit driver is the default
# we set the amqp version to ensure heartbeat works
amqp>=2.5.2 # BSD
kombu>=4.6.6 # BSD

# middleware
oslo.middleware>=3.31.0 # Apache-2.0

# metrics
oslo.metrics>=0.2.1 # Apache-2.0

=== debian/changelog ===
python-oslo.messaging (17.1.0-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/p/safeload-rmq-functional.patch: Refresh patch.
  * d/control: Align (Build-)Depends with upstream.
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.

 -- Myles Penner <myles.penner@canonical.com>  Thu, 24 Jul 2025 16:45:03 -0400

python-oslo.messaging (16.1.0-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Thu, 27 Feb 2025 12:51:17 +0000

=== debian/control ===
Source: python-oslo.messaging
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 James Page <james.page@ubuntu.com>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-amqp (>= 2.5.2),
 python3-cachetools (>= 2.0.0),
 python3-confluent-kafka (>= 1.3.0),
 python3-oslo.context (>= 1:5.3.0),
 python3-debtcollector (>= 1.2.0),
 python3-eventlet (>= 0.23.0),
 python3-fixtures (>= 3.0.0),
 python3-futurist (>= 1.2.0),
 python3-greenlet (>= 0.4.15),
 python3-kombu (>= 4.6.6),
 python3-openstackdocstheme (>= 2.2.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.metrics (>= 0.2.1),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.37.0),
 python3-oslotest (>= 1:3.2.0),
 python3-pyngus (>= 2.2.0),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit,
 python3-tenacity (>= 3.2.1),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.7.1),
 python3-yaml (>= 3.13),
 subunit,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-oslo.messaging
Homepage: https://opendev.org/openstack/oslo.messaging

Package: python3-oslo.messaging
Architecture: all
Depends:
 python3-amqp (>= 2.5.2),
 python3-cachetools (>= 2.0.0),
 python3-oslo.context (>= 1:5.3.0),
 python3-debtcollector (>= 1.2.0),
 python3-futurist (>= 1.2.0),
 python3-kombu (>= 4.6.6),
 python3-monotonic (>= 0.6),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.metrics (>= 0.2.1),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.37.0),
 python3-pbr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-tenacity (>= 4.4.0),
 python3-webob (>= 1:1.7.1),
 python3-yaml (>= 3.13),
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
Suggests:
 python3-confluent-kafka,
 python3-zmq,
Description: oslo messaging library - Python 3.x
 The oslo.messaging API supports RPC and notifications over a number of
 different messaging transports.
 .
 Oslo is a set of libraries developed for OpenStack.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=oslo_messaging

UPSTREAM_GIT := https://opendev.org/openstack/oslo.messaging.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install -f --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
	done
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/debian/tmp pkgos-dh_auto_test --no-py2 --exclude-regex oslo_messaging.tests.functional
endif

override_dh_auto_test:
	echo "Do nothing..."

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-oslo.messaging/usr/share/doc/python-oslo.messaging/html
	dh_sphinxdoc
endif

=== debian/watch ===
version=3
opts=uversionmangle=s/\.(b|rc)/~$1/,pgpsigurlmangle=s/$/.asc/ \
    http://tarballs.openstack.org/oslo.messaging/ oslo.messaging-(\d.*)\.tar\.gz

## python-oslo.messaging 17.2.0

=== requirements.txt ===
--- 
+++ 
@@ -25,7 +25,7 @@
 # rabbit driver is the default
 # we set the amqp version to ensure heartbeat works
 amqp>=2.5.2 # BSD
-kombu>=4.6.6 # BSD
+kombu>=4.6.8 # BSD
 
 # middleware
 oslo.middleware>=3.31.0 # Apache-2.0

=== debian/changelog ===
python-oslo.messaging (17.2.0-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * New upstream version 17.2.0
  * d/watch: update for new upstream
  * d/u/signing-key.asc: update for gazpacho
  * d/patches/*: refresh patches
  * New upstream release for OpenStack Gazpacho. (LP: #2138121)

 -- Myles Penner <myles.penner@canonical.com>  Fri, 16 Jan 2026 17:36:38 -0800

=== debian/watch ===
version=4
opts=uversionmangle=s/\.(b|rc)/~$1/,pgpsigurlmangle=s/$/.asc/ \
http://tarballs.opendev.org/openstack/oslo.messaging/ oslo[._]messaging-(\d.*)\.tar\.gz

## python-oslo.messaging 17.3.0

=== debian/changelog ===
python-oslo.messaging (17.3.0-2) experimental; urgency=medium

  * Add install-missing-files.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Feb 2026 10:41:54 +0100

python-oslo.messaging (17.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Rebased fix-not-using-non-durable.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Feb 2026 08:26:07 +0100

python-oslo.messaging (17.1.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1048050).

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Feb 2026 10:01:56 +0100

python-oslo.messaging (17.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 20:50:43 +0200

python-oslo.messaging (17.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Aug 2025 16:35:12 +0200

python-oslo.messaging (16.1.0-4) unstable; urgency=medium

  * Add fix-not-using-non-durable.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Jun 2025 11:21:22 +0200
